<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Bootstrap Grid System</title>

        <!-- bootstrap -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

        <!-- <link rel="stylesheet" href="./index.css"/> -->
    </head>

    <body class="text-center">
        <h1>Bootstrap Grid System</h1>

        <!-- two columns -->
        <h2>Two Columns</h2>
        <div class="container-fluid">
            <h3>1:1 Ratio</h3>
            <div class="row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-6">6 cols</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 cols</div>
            </div>

            <h3>1:3 Ratio</h3>
            <div class="row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 cols</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-9">9 cols</div>
            </div>

            <h3>1:2 Ratio</h3>
            <div class="row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 cols</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-8">8 cols</div>
            </div>
        </div>

        <!-- three columns -->
        <h2>Three Columns</h2>
        <div class="container-fluid">
            <h3>1:1:1 Ratio</h3>
            <div class="row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 cols</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-4">4 cols</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 cols</div>
            </div>

            <h3>1:2:1 Ratio</h3>
            <div class="row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 cols</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 cols</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 cols</div>
            </div>

            <h3>3:7:2 Ratio</h3>
            <div class="row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 cols</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-7">7 cols</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-2">2 cols</div>
            </div>
        </div>

        <!-- -->
        <h2>Automatic Sizing</h2>
        <div class="container-fluid">
            <div class="row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-6">6 col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col">Automatic</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col">Automatic</div>
            </div>
        </div>

        <!-- -->
        <h2>Multi-row</h2>
        <div class="container-fluid">
            <div class="row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 2</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 3</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 4</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 5</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 6</div>
            </div>
        </div>

        <!-- -->
        <h2>Offsetting Column</h2>
        <div class="container-fluid">
            <div class="row">
                <!-- <div class="bg-primary pt-3 pb-3 border border-dark col">Catalog 1</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col">Catalog 2</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col">Catalog 3</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col">Catalog 4</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col">Catalog 5</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col">Catalog 6</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col">Catalog 1  </div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col">Catalog 2</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col">Catalog 3</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col">Catalog 4</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col">Catalog 5</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col">Catalog 6</div> -->
                <!--  -->
                <div class="bg-primary pt-3 pb-3 border border-dark col-7 mx-auto">Offset column</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-6 offset-md-3 offset-0">Offset column</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-7 offset-md-5 offset-0">Offset column</div>
            </div>
        </div>

        <!--  -->
        <h2>Column order</h2>
        <div class="container-fluid">
            <div class="row">
                <div class="bg-primary pt-3 pb-3 border border-dark col order-1 order-md-2">left</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col order-2 order-md-1">right</div>
            </div>

        <!-- script -->
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
    </body>

</html>